ZenMagick 0.9.10


org.zenmagick.mvc.controller\ZMScaffoldController
mvc\controller\ZMScaffoldController.php at line 32

Class ZMScaffoldController

ZMObject
└─ZMController
└─ZMScaffoldController

public class ZMScaffoldController
extends ZMController

Scaffold controller.

Allows to execute a specific method based on request parameters.

Author:
DerManoMann

Method Summary
void

__construct(string requestId)

Create new instance.

ZMView

process(ZMRequest request)

{@inheritDoc}

Methods inherited from org.zenmagick.mvc.controller\ZMController
__construct, findView, getFormData, getId, getView, getViewData, isAjax, isFormSubmit, preProcess, process, processGet, processPost, setContentType, setId, setView, validate, validateFormData, validateSession
Methods inherited from org.zenmagick.core\ZMObject
__construct, attachMethod, get, getAttachedMethods, getProperties, getPropertyNames, set, singleton

Method Detail

mvc\controller\ZMScaffoldController.php at line 37

__construct

public void __construct(string requestId)

Create new instance.

Parameters:
requestId - Optional requestId; default is null to use the request id.

mvc\controller\ZMScaffoldController.php at line 51

process

public ZMView process(ZMRequest request)

Process a HTTP request.

Supported request methods are GET and POST.

This method should not be overridded!.

Parameters:
request - The request to process.
Returns:
A ZMView instance or null.

ZenMagick 0.9.10